clc;
clear;
close all;
%%
T0 = 0 ;
Ts = 0.01 ;
Tf = 20 ;
t = T0:Ts:Tf ; t = t' ;
N = numel(t) ;
f = 4 ;
u =  5*cos(2*pi*f*t) + sin(2*pi*2*f*t);
w = 2*pi/N*(1:N) ;
Un = zeros(size(w)) ;
for i = 1:N
   Un(i) = 1/sqrt(N) * u(1:N)' * exp(-1i * w(i) * (1:N))' ;  %% c = v' * u
end
figure(1) ;
Fs = 1/Ts ;
plot(w*Fs/(2*pi) , abs(Un).^2, 'LineWidth' , 2) ;
grid on ; xlabel('Freq  (Hz)') ; ylabel('Abs Un ^2') ;
xlim([0 10])